Bug 976458 - Wrong description of the ejb2 cmp HiLoKeyGenerator configuration
Wrong description of the ejb2 cmp HiLoKeyGenerator configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.1,6.1.0
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.3.0
Assigned To: David Michael
Russell Dickenson
David Michael
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:32 EDT by wfink
Modified: 2014-08-14 11:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 8740, Administration and Configuration Guide-6-3 Build Date: 05-04-2013 09:18:51
Last Closed: 2014-06-28 11:53:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wfink: needinfo+


Attachments (Terms of Use)

  None (edit)
Description wfink 2013-06-20 11:32:50 EDT
Title: Configure EJB 2.x Container-Managed Persistence  (HiLo Key generator)

The provided CLI command syntax is wrong, there is a unnecessary ')' at the end.

To have a working example the block-size attribute must be set to a value>=1.
The 'select-hi-ddl' is not valid, and also optional.
There should be a note that is should be set with 'FOR UPDATE' in case of a cluster to ensure the integrity.

The used column and table name should be similar to well known names in EAP5, in this case the database can be re-used.

At the next page the attributes should have a description


The chapter for EAP6.0.1 documentation has the same content.
Comment 9 Jan Martiska 2014-06-09 09:35:53 EDT
Verified in build 6.3.0-21.
Btw. the extra ')' was fixed through https://bugzilla.redhat.com/show_bug.cgi?id=1016087

Note You need to log in before you can comment on or make changes to this bug.